import request from '@/utils/request'

// 查询库位信息，记录周装货架存放库位信息列表
export function listInfo(query) {
  return request({
    url: '/order/list',
    method: 'get',
    params: query
  })
}

// 查询库位信息，记录周装货架存放库位信息详细
export function getInfo(id) {
  return request({
    url: 'store/list' + id,
    method: 'get'
  })
}

// 新增库位信息，记录周装货架存放库位信息
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改库位信息，记录周装货架存放库位信息
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除库位信息，记录周装货架存放库位信息
export function delInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'delete'
  })
}
